config/routes.rb
Spree::Core::Engine.routes.draw do
  # Override for Production state
  namespace :admin, path: Spree.admin_path do
    resources :orders, except: [:show] do
      get :production, on: :member
      post :set_production, on: :member
    end

    resource :banner_message_settings, only: [:edit, :update] do
    end
  end
end

Spree::Core::Engine.add_routes do
  get '/category/*id', :to => 'taxons#show', :as => :categories
end

app/views/spree/admin/orders/_line_items.html.erb
<% if order.line_items.exists? %>
  <div class="panel panel-default">
    <div class="panel-heading">
      <h1 class="panel-title">
        <%= Spree.t(:order_line_items) %>
      </h1>
    </div>
    <div class="table-responsive">
      <table class="table table-bordered line-items" data-hook="line-items">
        <thead>
          <tr>
            <th colspan="2"><%= Spree.t(:name) %></th>
            <th class="text-center"><%= Spree.t(:price) %></th>
            <th class="text-center"><%= Spree.t(:quantity) %></th>
            <th class="text-center"><%= Spree.t(:total_price) %></th>
            <th class="orders-actions text-center" data-hook="admin_order_form_line_items_header_actions"></th>
          </tr>
        </thead>
        <tbody>
          <% order.line_items.each do |item| %>
            <tr class="line-item" id="line-item-<%= item.id %>">
              <td class="line-item-image image text-center">
                <%= mini_image(item.variant) %>
              </td>
              <td class="line-item-name text-center">
                <%= item.name %>
                <br />
                <%= "(#{item.variant.options_text})" if item.variant.options_text.present? %>
              </td>
              <td class="line-item-price text-center"><%= item.single_money.to_html %></td>
              <td class="line-item-qty-show text-center">
                <%= item.quantity %>
              </td>
              <td class="line-item-qty-edit is-hidden">
                <%= number_field_tag :quantity, item.quantity, min: 0, class: "line_item_quantity form-control", size: 5 %>
              </td>
              <td class="line-item-total text-center"><%= line_item_shipment_price(item, item.quantity) %></td>
              <td class="cart-line-item-delete actions actions-4 text-center" data-hook="cart_line_item_delete">
                <% if can? :update, item %>
                  <%= link_to_with_icon 'arrow-left', Spree.t('actions.cancel'), "#", class: 'cancel-line-item btn btn-default btn-sm', data: {action: 'cancel'}, title: Spree.t('actions.cancel'), style: 'display: none', no_text: true %>
                  <%= link_to_with_icon 'save', Spree.t('actions.save'), "#", class: 'save-line-item btn btn-success btn-sm', no_text: true, data: { :'line-item-id' => item.id, action: 'save'}, title: Spree.t('actions.save'), style: 'display: none' %>
                  <%= link_to_with_icon 'edit', Spree.t('edit'), "#", class: 'edit-line-item btn btn-primary btn-sm', data: {action: 'edit'}, title: Spree.t('edit'), no_text: true %>
                  <%= link_to_with_icon 'delete', Spree.t('delete'), "#", class: 'delete-line-item btn btn-danger btn-sm', data: { 'line-item-id' => item.id, action: 'remove'}, title: Spree.t('delete'), no_text: true %>
                <% end %>
              </td>
            </tr>
          <% end %>
        </tbody>
      </table>
    </div>
  </div>
<% end %>

app/views/spree/admin/orders/_production_form.html.erb
<div data-hook="store-form-container">
  <%= form_for [:admin, order], method: :post, url: set_production_admin_order_url do |f| %>
    <fieldset>
    <div data-hook="admin_order_production_state_field">
      <%= f.field_container :production_state, class: ['form-group'] do %>
        <%= f.label :production_state, Spree.t(:production_state) %>
        <%= f.select :production_state, Spree::Order.get_production_states().map {|s| [Spree.t("production_states.#{s}"), s]}, { include_blank: false }, class: 'select2' %>
        <%= f.error_message_on :production_state %>
      <% end %>
    </div>
    <div class="form-actions" data-hook="buttons">
      <%= button Spree.t('actions.update'), 'refresh', 'submit', {class: 'btn-success', data: { disable_with: "#{ Spree.t(:saving) }..." }} %>
      <span class="or"><%= Spree.t(:or) %></span>
      <%= button_link_to Spree.t('actions.cancel'), edit_admin_order_url(order), icon: 'delete' %>
    </div>
    <fieldset>
  <% end %>
</div>

app/views/spree/admin/orders/_production_state_change_form.html.erb
    <%= form_for [:admin, order], method: :post, :html => {:class => 'inline-block'}, url: set_production_admin_order_url do |f| %>
      <%= f.hidden_field :production_state, value: production_state %>
      <%= f.hidden_field 'redirect', value: request.fullpath %>
      <%= button production_state_label, '', 'submit', {disabled: disabled, class: "btn-#{production_state}", data: { disable_with: "Updating..." }} %>
    <% end %>

app/views/spree/admin/orders/_production_state_flow.html.erb
<%
  production_state_index = Spree::Order.get_production_states().find_index(@order.production_state)
  production_state_index = (production_state_index.nil? ? -1 : production_state_index)

  backorder_index = Spree::Order.get_production_states().find_index('backorder')
  processing_index = Spree::Order.get_production_states().find_index('processing')
  production_room_index = Spree::Order.get_production_states().find_index('production_room')
  fulfillment_room_index = Spree::Order.get_production_states().find_index('fulfillment_room')
  in_qc_index = Spree::Order.get_production_states().find_index('in_qc')
  in_labels_index = Spree::Order.get_production_states().find_index('in_labels')
  complete_index = Spree::Order.get_production_states().find_index('complete')

  backorder_disabled = production_state_index >= backorder_index
  processing_disbaled = production_state_index >= processing_index
  production_room_disabled = production_state_index >= production_room_index
  fulfillment_room_disabled = production_state_index >= fulfillment_room_index
  in_qc_disabled = production_state_index >= in_qc_index
  in_labels_disabled = production_state_index >= in_labels_index
  complete_disabled = production_state_index >= complete_index

  if production_state_index >= 0 && production_state_index < complete_index
%>
<div class="panel panel-default" id="add-line-item" data-hook="">
  <div class="panel-heading">
    <h1 class="panel-title">
      Current Production State: <span class="label label-<%= @order.production_state %>"><%= Spree.t(@order.production_state, scope: :production_states, default: [:missing, "none"]) %></span>
    </h1>
  </div>
  <div class="panel-body">
    Change State:
    <div class="production-form-actions" data-hook="production-state-buttons">
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'backorder', production_state_label: 'Backorder', disabled: backorder_disabled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'processing', production_state_label: 'Processing', disabled: processing_disbaled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'production_room', production_state_label: 'Production Room', disabled: production_room_disabled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'fulfillment_room', production_state_label: 'Fulfillment Room', disabled: fulfillment_room_disabled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'in_qc', production_state_label: 'In QC', disabled: in_qc_disabled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'in_labels', production_state_label: 'In Labels', disabled: in_labels_disabled } %>
      <%= render partial: 'production_state_change_form', locals: { order: @order, production_state: 'complete', production_state_label: 'Complete', disabled: complete_disabled } %>
    </div>
  </div>
</div>
<% end %>

app/views/spree/admin/orders/_shipment.html.erb
<div id="<%= "shipment_#{shipment.id}" %>" data-hook="admin_shipment_form" class="panel panel-default">

  <%= render partial: "spree/admin/variants/split", formats: :js %>

  <div class="panel-heading stock-location no-borderb" data-hook="stock-location">
    <h1 class="panel-title">
      <span class="shipment-number"><%= shipment.number %></span>
      -
      <span class="shipment-state"><%= Spree.t("shipment_states.#{shipment.state}") %></span>
      <%= Spree.t(:package_from) %>
      <strong class="stock-location-name" data-hook="stock-location-name">'<%= shipment.stock_location.name %>'</strong>
      <% if shipment.ready? and can? :update, shipment %>
        <%= link_to Spree.t(:ship), 'javascript:;', class: 'ship pull-right btn btn-success', data: { 'shipment-number' => shipment.number } %>
        <div class='clearfix'></div>
      <% end %>
    </h1>
  </div>

  <div class="table-responsive">
    <table class="table table-bordered stock-contents" data-hook="stock-contents">
      <thead>
        <tr>
          <th colspan="2"><%= Spree.t(:item_description) %></th>
          <th width="15%" class="text-center"><%= Spree.t(:price) %></th>
          <th width="15%" class="text-center"><%= Spree.t(:quantity) %></th>
          <th width="15%" class="text-center"><%= Spree.t(:total) %></th>
          <th width="15%" class="text-center"><%= Spree.t(:lot_numbers) %></th>
          <th class="orders-actions actions text-center" data-hook="admin_order_form_line_items_header_actions"></th>
        </tr>
      </thead>

      <tbody data-shipment-number="<%= shipment.number %>" data-order-number="<%= order.number %>">
        <%= render 'spree/admin/orders/shipment_manifest', shipment: shipment %>

        <% unless shipment.shipped? %>
          <tr class="edit-method is-hidden total">
            <td colspan="5">
              <div class="field alpha five columns">
                <%= label_tag 'selected_shipping_rate_id', Spree.t(:shipping_method) %>
                <%= select_tag :selected_shipping_rate_id,
                      options_for_select(shipment.shipping_rates.map {|sr| ["#{sr.name} #{sr.display_price}", sr.id] }, shipment.selected_shipping_rate_id),
                      { class: 'select2', data: {'shipment-number' => shipment.number } } %>
              </div>
            </td>
            <td></td>
            <td class="actions text-center">
              <% if can? :update, shipment %>
                <%= link_to_with_icon 'cancel', Spree.t('actions.cancel'), "#", class: 'cancel-method btn btn-primary btn-sm', data: {action: 'cancel'}, title: Spree.t('actions.cancel'), no_text: true %>
                <%= link_to_with_icon 'save', Spree.t('actions.save'), "#", class: 'save-method btn btn-success btn-sm', data: {'shipment-number' => shipment.number, action: 'save'}, title: Spree.t('actions.save'), no_text: true %>
              <% end %>
            </td>
          </tr>
          <% end %>

          <tr class="show-method total">
            <% if rate = shipment.selected_shipping_rate %>
              <td colspan="4">
                <strong><%= rate.name %></strong>
              </td>
              <td class="total text-center">
                <%= shipment.display_cost %>
              </td>
            <% else %>
              <td colspan='5'><%= Spree.t(:no_shipping_method_selected) %></td>
            <% end %>
            <td></td>
            <td class="actions text-center">
              <% if( (can? :update, shipment) and !shipment.shipped?) %>
                <%= link_to_with_icon 'edit', Spree.t('edit'), "javascript:;", class: 'edit-method with-tip btn btn-sm btn-primary', data: {action: 'edit'}, no_text: true %>
              <% end %>
            </td>
          </tr>


        <tr class="edit-tracking is-hidden total">
          <td colspan="5">
            <label><%= Spree.t(:tracking_number) %>:</label>
            <%= text_field_tag :tracking, shipment.tracking, class: "form-control" %>
          </td>
          <td></td>
          <td class="actions">
            <% if can? :update, shipment %>
              <%= link_to_with_icon 'cancel', Spree.t('actions.cancel'), "#", class: 'cancel-tracking btn btn-primary btn-sm', data: {action: 'cancel'}, title: Spree.t('actions.cancel'), no_text: true %>
              <%= link_to_with_icon 'save', Spree.t('actions.save'), "#", class: 'save-tracking btn btn-success btn-sm', data: {'shipment-number' => shipment.number, action: 'save'}, title: Spree.t('actions.save'), no_text: true %>
            <% end %>
          </td>
        </tr>

        <% if order.special_instructions.present? %>
          <tr class='special_instructions'>
            <td colspan="5">
              <strong><%= Spree.t(:special_instructions) %>:&nbsp;</strong><%= order.special_instructions %>
            </td>
          </tr>
        <% end %>

        <tr class="show-tracking total">
          <td colspan="5" class="tracking-value">
            <% if shipment.tracking.present? %>
              <strong><%= Spree.t(:tracking) %>:</strong> <%= link_to_tracking(shipment, target: '_blank') %>
            <% else %>
              <%= Spree.t(:no_tracking_present) %>
            <% end %>
          </td>
          <td></td>
          <td class="actions text-center">
            <% if can? :update, shipment %>
              <%= link_to_with_icon 'edit', Spree.t('edit'), "#", class: 'edit-tracking btn btn-primary btn-sm', data: {action: 'edit'}, title: Spree.t('edit'), no_text: true %>
            <% end %>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>

app/views/spree/admin/orders/_shipment_manifest.html.erb
<% shipment.manifest.each do |item| %>
  <tr class="stock-item" data-item-quantity="<%= item.quantity %>" data-hook="item_shipping_manifest">
    <td class="item-image image text-center">
      <%= mini_image(item.variant) %>
    </td>

    <td class="item-name">
      <% if item.variant.sku.present? %>
        <strong><%= Spree.t(:sku) %>:</strong> <%= item.variant.sku %>
        <br />
      <% end %>
      <%= item.variant.product.name %>
      <% if item.variant.options_text.present? %>
        <br /><%= "(#{item.variant.options_text})" %>
      <% end %>
    </td>

    <td class="item-price text-center"><%= item.line_item.single_money.to_html %></td>

    <td class="item-qty-show text-center">
      <% item.states.each do |state,count| %>
        <%= count %> x <%= Spree.t(state).downcase %>
      <% end %>
    </td>

    <% unless shipment.shipped? %>
      <td class="item-qty-edit is-hidden">
        <%= number_field_tag :quantity, item.quantity, min: 0, class: "line_item_quantity form-control", size: 5 %>
      </td>
    <% end %>

    <td class="item-total text-center">
      <%= line_item_shipment_price(item.line_item, item.quantity) %>
    </td>

    <td class="item-qty-show text-center">
      <%= item.line_item.lot_numbers %>
    </td>

    <% unless shipment.shipped? %>
      <td class="item-lotnumbers-edit is-hidden">
        <%= text_area_tag :lot_numbers, item.line_item.lot_numbers, class: "line_item_lot_numbers form-control", size: "32x4" %>
      </td>
    <% end %>

    <td class="cart-item-delete actions actions-3 text-center" data-hook="cart_item_delete">
      <% if((!shipment.shipped?) && can?(:update, item.line_item)) %>
        <%= link_to_with_icon 'pencil', Spree.t('actions.edit'), "#", class: 'edit-item btn btn-default btn-sm', title: Spree.t('actions.edit'), no_text: true %>
        <%= link_to_with_icon 'cancel', Spree.t('actions.cancel'), "#", class: 'cancel-item  btn btn-primary btn-sm', data: { action: 'cancel' }, title: Spree.t('actions.cancel'), style: 'display: none', no_text: true %>
        <%= link_to_with_icon 'ok', Spree.t('actions.save'), "#", class: 'save-item btn btn-success btn-sm', data: {'shipment-number' => shipment.number, 'variant-id' => item.variant.id, 'line-item-id' => item.line_item.id, action: 'save'}, title: Spree.t('actions.save'), style: 'display: none', no_text: true %>
        <%= link_to_with_icon 'split', Spree.t('split'), "#", class: 'split-item btn btn-primary btn-sm', data: {action: 'split', 'variant-id' => item.variant.id}, title: Spree.t('split'), no_text: true %>
        <%= link_to_with_icon 'delete', Spree.t('delete'), "#", class: 'delete-item btn btn-danger btn-sm', data: { 'shipment-number' => shipment.number, 'variant-id' => item.variant.id, 'line-item-id' => item.line_item.id, action: 'remove'}, title: Spree.t('delete'), no_text: true %>
      <% end %>
    </td>
  </tr>
<% end %>

app/views/spree/admin/orders/index.html.erb
<% content_for :page_title do %>
  <%= plural_resource_name(Spree::Order) %>
<% end %>

<% content_for :page_actions do %>
  <%= button_link_to Spree.t(:new_order), new_admin_order_url, class: "btn-success", icon: 'add', id: 'admin_new_order' %>
<% end if can? :create, Spree::Order %>

<% content_for :table_filter do %>
  <div data-hook="admin_orders_index_search">

    <%= search_form_for [:admin, @search] do |f| %>
      <div class="row">
        <div class="date-range-filter col-xs-12 col-md-8">
          <div class="form-group">
            <%= label_tag :q_created_at_gt, Spree.t(:date_range) %>
            <div class="row no-padding-bottom">
              <div class="col-xs-12 col-md-6">
                <div class="input-group">
                  <%= f.text_field :created_at_gt, class: 'datepicker datepicker-from form-control', value: params[:q][:created_at_gt], placeholder: Spree.t(:start) %>
                  <span class="input-group-addon">
                    <i class="icon icon-calendar"></i>
                  </span>
                </div>

              </div>
              <div class="col-xs-12 col-md-6">
                <div class="input-group">
                  <%= f.text_field :created_at_lt, class: 'datepicker datepicker-to form-control', value: params[:q][:created_at_lt], placeholder: Spree.t(:stop) %>
                  <span class="input-group-addon">
                    <i class="icon icon-calendar"></i>
                  </span>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_number_cont, Spree.t(:order_number, number: '') %>
            <%= f.text_field :number_cont, class: 'form-control js-quick-search-target' %>
          </div>
        </div>

      </div>

      <div class="row">

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_state_eq, Spree.t(:status) %>
            <%= f.select :state_eq, Spree::Order.state_machines[:state].states.map {|s| [Spree.t("order_state.#{s.name}"), s.value]}, { include_blank: true }, class: 'select2 js-filterable' %>
          </div>
        </div>

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_payment_state_eq, Spree.t(:payment_state) %>
            <%= f.select :payment_state_eq, Spree::Order::PAYMENT_STATES.map {|s| [Spree.t("payment_states.#{s}"), s]}, { include_blank: true }, class: 'select2 js-filterable' %>
          </div>
        </div>

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_shipment_state_eq, Spree.t(:shipment_state) %>
            <%= f.select :shipment_state_eq, Spree::Order::SHIPMENT_STATES.map {|s| [Spree.t("shipment_states.#{s}"), s]}, { include_blank: true }, class: 'select2 js-filterable' %>
          </div>
        </div>

      </div>

      <div class="row">

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_production_state_eq, Spree.t(:production_state) %>
            <%= f.select :production_state_eq,
              Spree::Order.get_production_states().map {|s| [Spree.t("production_states.#{s}"), s]},
              { include_blank: true },
              class: 'select2 js-filterable' %>
          </div>
        </div>

      </div>

      <div class="row">

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_bill_address_firstname_start, Spree.t(:first_name_begins_with) %>
            <%= f.text_field :bill_address_firstname_start, class: 'form-control' %>
          </div>
        </div>

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_bill_address_lastname_start, Spree.t(:last_name_begins_with) %>
            <%= f.text_field :bill_address_lastname_start, class: 'form-control' %>
          </div>
        </div>

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_email_cont, Spree.t(:email) %>
            <%= f.text_field :email_cont, class: 'form-control js-filterable' %>
          </div>
        </div>

      </div>

      <div class="row">

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_line_items_variant_sku_eq, Spree.t(:sku) %>
            <%= f.text_field :line_items_variant_sku_eq, class: 'form-control' %>
          </div>
        </div>

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_promotions_id_in, Spree.t(:promotion) %>
            <%= f.select :promotions_id_in, Spree::Promotion.applied.pluck(:name, :id), { include_blank: true }, class: 'select2' %>
          </div>
        </div>

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_store_id_in, Spree.t(:store) %>
            <%= f.select :store_id_in, Spree::Store.order("#{Spree::Store.table_name}.name").pluck(:name, :id), { include_blank: true }, class: 'select2' %>
          </div>
        </div>
      
      </div>

      <div class="row">

        <div class="col-xs-12 col-md-4">
          <div class="form-group">
            <%= label_tag :q_line_items_lot_numbers_cont, Spree.t(:lot_numbers) %>
            <%= f.text_field :line_items_lot_numbers_cont, class: 'form-control' %>
          </div>
        </div>

      </div>

      <div class="row">

        <div class="col-xs-12 col-md-4">

          <div class="form-group">

            <div class="checkbox">
              <%= label_tag 'q_completed_at_not_null' do %>
                <%= f.check_box :completed_at_not_null, {checked: @show_only_completed}, '1', '0' %>
                <%= Spree.t(:show_only_complete_orders) %>
              <% end %>
            </div>

            <div class="checkbox">
              <%= label_tag 'q_considered_risky_eq' do %>
                <%= f.check_box :considered_risky_eq, {checked: (params[:q][:considered_risky_eq] == '1')}, '1', '' %>
                <%= Spree.t(:show_only_considered_risky) %>
              <% end %>
            </div>

          </div>

        </div>

      </div>

      <div data-hook="admin_orders_index_search_buttons" class="form-actions">
        <%= button Spree.t(:filter_results), 'search' %>
      </div>

    <% end %>

  </div>

<% end %>

<%= render 'spree/admin/shared/index_table_options', collection: @orders %>

<% if @orders.any? %>
  <table class="table" id="listing_orders" data-hook>
    <thead>
      <tr data-hook="admin_orders_index_headers">
        <% if @show_only_completed %>
          <th><%= sort_link @search, :completed_at,   I18n.t(:completed_at, scope: 'activerecord.attributes.spree/order') %></th>
        <% else %>
          <th><%= sort_link @search, :created_at,     I18n.t(:created_at, scope: 'activerecord.attributes.spree/order') %></th>
        <% end %>
        <th><%= sort_link @search, :number,           I18n.t(:number, scope: 'activerecord.attributes.spree/order') %></th>
        <th> <%= link_to "Netsuite Order Number", "#" %> </th>
        <th><%= sort_link @search, :considered_risky, I18n.t(:considered_risky, scope: 'activerecord.attributes.spree/order') %></th>
        <th><%= sort_link @search, :state,            I18n.t(:state, scope: 'activerecord.attributes.spree/order') %></th>
        <th><%= sort_link @search, :payment_state,    I18n.t(:payment_state, scope: 'activerecord.attributes.spree/order') %></th>
        <th><%= sort_link @search, :production_state, I18n.t(:production_state, scope: 'activerecord.attributes.spree/order') %></th>
         <% if Spree::Order.checkout_step_names.include?(:delivery) %>
          <th><%= sort_link @search, :shipment_state, I18n.t(:shipment_state, scope: 'activerecord.attributes.spree/order') %></th>
         <% end %>
        <th><%= sort_link @search, :name,             I18n.t(:customer_name, scope: 'activerecord.attributes.spree/order') %></th>
        <th><%= sort_link @search, :email,            I18n.t(:email, scope: 'activerecord.attributes.spree/order') %></th>
        <th><%= sort_link @search, :total,            I18n.t(:total, scope: 'activerecord.attributes.spree/order') %></th>
        <th data-hook="admin_orders_index_header_actions" class="actions"></th>
      </tr>
    </thead>
    <tbody>
    <% @orders.each do |order| %>
      <tr data-hook="admin_orders_index_rows" class="state-<%= order.state.downcase %> <%= cycle('odd', 'even') %>">
        <td>
          <%= order_time(@show_only_completed ? order.completed_at : order.created_at) %>
        </td>
        <td><%= link_to order.number, edit_admin_order_path(order) %></td>
        <% if order.respond_to?(:netsuite_sales_order_num) && order.netsuite_sales_order_num.present? %>
          <td><%= order.netsuite_sales_order_num %></td>
        <% else %>
          <td></td>
        <% end %>
        <td>
          <span class="label label-<%= order.considered_risky ? 'considered_risky' : 'considered_safe' %>">
            <%= order.considered_risky ? Spree.t("risky") : Spree.t("safe") %>
          </span>
        </td>
        <td>
          <span class="label label-<%= order.state.downcase %>"><%= Spree.t("order_state.#{order.state.downcase}") %></span>
          <span class="icon icon-filter filterable js-add-filter" data-ransack-field="q_state_eq" data-ransack-value="<%= order.state %>"></span>
        </td>
        <td>
          <% if order.payment_state %>
            <span class="label label-<%= order.payment_state %>"><%= link_to Spree.t("payment_states.#{order.payment_state}"), admin_order_payments_path(order) %></span>
            <span class="icon icon-filter filterable js-add-filter" data-ransack-field="q_payment_state_eq" data-ransack-value="<%= order.payment_state %>"></span>
          <% end %>
        </td>
        <td>
          <% if order.production_state %>
            <span class="label label-<%= order.production_state %>"><%= Spree.t("production_states.#{order.production_state}") %></span>
            <span class="icon icon-filter filterable js-add-filter" data-ransack-field="q_production_state_eq" data-ransack-value="<%= order.production_state %>"></span>
          <% end %>
        </td>
        <% if Spree::Order.checkout_step_names.include?(:delivery) %>
          <td>
            <% if order.shipment_state %>
              <span class="label label-<%= order.shipment_state %>"><%= Spree.t("shipment_states.#{order.shipment_state}") %></span>
              <span class="icon icon-filter filterable js-add-filter" data-ransack-field="q_shipment_state_eq" data-ransack-value="<%= order.shipment_state %>"></span>
            <% end %>
          </td>
        <% end %>
        <td>
          <%= order.name %>
        </td>
        <td>
          <% if order.user %>
            <%= link_to order.email, edit_admin_user_path(order.user) %>
          <% else %>
            <%= mail_to order.email %>
          <% end %>
          <% if order.user || order.email %>
            <span class="icon icon-filter filterable js-add-filter" data-ransack-field="q_email_cont" data-ransack-value="<%= order.email %>"></span>
          <% end %>
        </td>
        <td><%= order.display_total.to_html %></td>
        <td class='actions actions-1' data-hook="admin_orders_index_row_actions">
          <%= link_to_edit_url edit_admin_order_path(order), title: "admin_edit_#{dom_id(order)}", no_text: true if can?(:edit, order) %>
        </td>
      </tr>
    <% end %>
    </tbody>
  </table>
<% else %>
  <div class="alert alert-info no-objects-found">
    <%= Spree.t(:no_resource_found, resource: plural_resource_name(Spree::Order)) %>,
    <%= link_to(Spree.t(:add_one), new_admin_order_url) if can? :create, Spree::Order %>!
  </div>
<% end %>

<%= render 'spree/admin/shared/index_table_options', collection: @orders, simple: true %>

app/views/spree/admin/orders/production.html.erb
<%= render 'spree/admin/shared/order_tabs', current: :production %>

<div data-hook="admin_order_edit_header">
  <%= render 'spree/admin/shared/error_messages', target: @order %>
</div>

<%= render 'production_form', order: @order if can?(:update, @order) %>